<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net4.0</TargetFramework>
    <LangVersion>10.0</LangVersion>
    <Nullable>disable</Nullable>
    <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>TypeInColor.ico</ApplicationIcon>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>TRACE;RELEASE</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>TypeInColor.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants></DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>TypeInColor.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="System" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\!CommonHelpers.Tiny\**\*.cs" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Auxiliary\**\*.*" />
    <None Include="Auxiliary\!syntax.cmd" Link="!syntax.cmd">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

</Project>
